package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.math.BigDecimal;

public class RepairDetailDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -4344958676970591237L;
	
	//维修中详细信息
	private String supportUserNames;//协办人
	private String serverUser;//维修人
	private String materialName;//维修耗材
	private Integer hasPaid; // 是否支付
	private BigDecimal repairCost;//维修费用
	private String pendReason;//挂单原因
	private String expectedTime;//预计重新开始时间

	//评价
	private Integer hasComment; // 是否有评价
	private Integer star; // 星级
	private String description; // 描述
	private String serviceImpression;
	private String remark;
	
	//回访
	private Integer visitStar;//回访星级
	private String visitDescription;//回访描述
	
	private String commentUrl;//评价跳转链接
	
	
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getSupportUserNames() {
		return supportUserNames;
	}
	public void setSupportUserNames(String supportUserNames) {
		this.supportUserNames = supportUserNames;
	}
	public String getServerUser() {
		return serverUser;
	}
	public void setServerUser(String serverUser) {
		this.serverUser = serverUser;
	}
	public String getMaterialName() {
		return materialName;
	}
	public void setMaterialName(String materialName) {
		this.materialName = materialName;
	}
	public BigDecimal getRepairCost() {
		return repairCost;
	}
	public void setRepairCost(BigDecimal repairCost) {
		this.repairCost = repairCost;
	}
	
	public Integer getHasComment() {
		return hasComment;
	}
	public void setHasComment(Integer hasComment) {
		this.hasComment = hasComment;
	}
	public Integer getStar() {
		return star;
	}
	public void setStar(Integer star) {
		this.star = star;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getServiceImpression() {
		return serviceImpression;
	}
	public void setServiceImpression(String serviceImpression) {
		this.serviceImpression = serviceImpression;
	}
	public String getPendReason() {
		return pendReason;
	}
	public void setPendReason(String pendReason) {
		this.pendReason = pendReason;
	}
	public Integer getVisitStar() {
		return visitStar;
	}
	public void setVisitStar(Integer visitStar) {
		this.visitStar = visitStar;
	}
	public String getVisitDescription() {
		return visitDescription;
	}
	public void setVisitDescription(String visitDescription) {
		this.visitDescription = visitDescription;
	}
	public String getCommentUrl() {
		return commentUrl;
	}
	public void setCommentUrl(String commentUrl) {
		this.commentUrl = commentUrl;
	}
	public String getExpectedTime() {
		return expectedTime;
	}
	public void setExpectedTime(String expectedTime) {
		this.expectedTime = expectedTime;
	}
	public Integer getHasPaid() {
		return hasPaid;
	}
	public void setHasPaid(Integer hasPaid) {
		this.hasPaid = hasPaid;
	}
	
}
